import type { IOpenAccount, IServerResp, IExportResponse } from '../../client';
export declare const OPEN_ACCOUNT_URL = "/api/opening-request-bank/request";
export declare const openAccountService: {
    repeatSend: (id: string) => Promise<IServerResp<IOpenAccount>>;
    reject: (id: string) => Promise<IOpenAccount>;
    exportWithSign: (id: string) => Promise<IExportResponse>;
    getList: (metaData: import("../../client").IMetaData) => Promise<import("@platform/core/dist-types/interfaces/scroller").ICollectionResponse<IOpenAccount>>;
    get: (id: string) => Promise<IOpenAccount>;
    getCounter: (metaData: import("../../client").IMetaData) => Promise<any>;
    validateSign: (id: string) => Promise<IServerResp<IOpenAccount, import("../../client").ERROR>>;
    exportClaimOpenAccounts: (data: import("../../client").IExportRequest) => Promise<IExportResponse>;
    exportClaimRulesGoz: (data: import("../../client").IExportRequest) => Promise<IExportResponse>;
    exportInfoOpenAccounts: (data: import("../../client").IExportRequest) => Promise<IExportResponse>;
    exportListRequestOpenAccounts: (data: import("../../client").IExportRequest) => Promise<IExportResponse>;
    printClaimOpenAccounts: (data: import("../../client").IExportRequest) => Promise<import("../../client").IPrintResponse>;
    printClaimRulesGoz: (data: import("../../client").IExportRequest) => Promise<import("../../client").IPrintResponse>;
    printInfoOpenAccounts: (data: import("../../client").IExportRequest) => Promise<import("../../client").IPrintResponse>;
    printListRequestOpenAccounts: (data: import("../../client").IExportRequest) => Promise<import("../../client").IPrintResponse>;
    getHistory: (id: string) => Promise<import("../../client").IHistoryResponse[]>;
};
